Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.cert
Class X509CRLEntry

    java.lang.Object
      |
      +--java.security.cert.X509CRLEntry

All Implemented Interfaces:
  X509Extension

Direct Known Subclasses:
  X509CRLEntryObject

public abstract class X509CRLEntry
extends java.lang.Object
implements X509Extension

Constructor Summary
`X509CRLEntry()`

Method Summary
`boolean` | `equals(java.lang.Object other)`
`abstract byte[]` | `getEncoded()`
`abstract java.util.Date` | `getRevocationDate()`
`abstract java.math.BigInteger` | `getSerialNumber()`
`abstract boolean` | `hasExtensions()`
`int` | `hashCode()`
`abstract java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.security.cert.X509Extension
`getCriticalExtensionOIDs, getExtensionValue, getNonCriticalExtensionOIDs, hasUnsupportedCriticalExtension`

Constructor Detail

### X509CRLEntry

    public X509CRLEntry()

Method Detail

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getEncoded

    public abstract byte[] getEncoded()
                               throws CRLException

    `CRLException`

### getRevocationDate

    public abstract java.util.Date getRevocationDate()

### getSerialNumber

    public abstract java.math.BigInteger getSerialNumber()

### hasExtensions

    public abstract boolean hasExtensions()

### toString

    public abstract java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD